Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.openmbean
Class OpenMBeanConstructorInfoSupport

    java.lang.Object
      javax.management.MBeanFeatureInfo
          javax.management.MBeanConstructorInfo
              javax.management.openmbean.OpenMBeanConstructorInfoSupport

All Implemented Interfaces:
  Cloneable, OpenMBeanConstructorInfo, Serializable

public class OpenMBeanConstructorInfoSupport
extends MBeanConstructorInfo
implements OpenMBeanConstructorInfo, Serializable

OpenMBeanConstructorInfo implementation

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock.
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`OpenMBeanConstructorInfoSupport(String name, String description, OpenMBeanParameterInfo[] signature)` Contruct an OpenMBeanConstructorInfoSupport

Method Summary
`boolean` | `equals(Object obj)` Compares an object for equality with the implementing class.
`int` | `hashCode()` Generates a hashcode for the implementation.
`String` | `toString()` A string representation of the open mbean constructor info.

Methods inherited from class javax.management.MBeanConstructorInfo
`clone, getSignature`

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.openmbean.OpenMBeanConstructorInfo
`getDescription, getName, getSignature`

Constructor Detail

### OpenMBeanConstructorInfoSupport

    public OpenMBeanConstructorInfoSupport(String name,
                                           String description,
                                           OpenMBeanParameterInfo[] signature)

  Contruct an OpenMBeanConstructorInfoSupport

Parameters:
  `name` - cannot be null or empty
  `description` - cannot be null or empty
  `signature` - the parameters of the constructor
Throws:
  `IllegalArgumentException` - when one of the above constraints is not satisfied

Method Detail

### equals

    public boolean equals(Object obj)

  Description copied from interface: `OpenMBeanConstructorInfo`
  Compares an object for equality with the implementing class.

  The object is not null
  The object implements the open mbean constructor info interface
  The constructor names are equal
  The signatures are equal

  Specified by:
    `equals` in interface `OpenMBeanConstructorInfo`
  Overrides:
    `equals` in class `MBeanConstructorInfo`

### hashCode

    public int hashCode()

  Description copied from interface: `OpenMBeanConstructorInfo`
  Generates a hashcode for the implementation.

  The sum of the hashCodes for the elements mentioned in the equals method

  Specified by:
    `hashCode` in interface `OpenMBeanConstructorInfo`
  Overrides:
    `hashCode` in class `MBeanConstructorInfo`

### toString

    public String toString()

  Description copied from interface: `OpenMBeanConstructorInfo`
  A string representation of the open mbean constructor info.

  It is made up of implementation class and the values mentioned in the equals method

  Specified by:
    `toString` in interface `OpenMBeanConstructorInfo`
  Overrides:
    `toString` in class `MBeanConstructorInfo`
  Returns:
    a human readable string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.